// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue';
import App from '@/components/App.vue';
// include
import '@/config/include.js';

// 通用store
import store from '@/store/index.js';

// router
import router from './router/index.js';

// 导出Excel全局组件
import tableToExcel from '@/components/exportExcel/exportExcel'
Vue.use(tableToExcel)

import VueApollo from 'vue-apollo'

import apollo from '@/config/apolloConfig.js'


// 关闭生产模式下给出的提示
Vue.config.productionTip = false;

// 注册表格的全局组件
import DilCommonUI from "@/components/DilCommonUI";
Vue.use(DilCommonUI);

Vue.use(VueApollo)

const apolloProvider = new VueApollo({
    defaultClient: apollo
})
/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  provide: apolloProvider.provide(),
  template: '<App/>'
});
